# Asterisk Project : Asterisk 12 Application_ChanIsAvail

Added by wikibot , edited by wikibot on Aug 29, 2013

# ChanIsAvail()

### Synopsis

Check channel availability

### Description

This application will check to see if any of the specified channels are available.

This application sets the following channel variables:

- `AVAILCHAN` - The name of the available channel, if one exists
- `AVAILORIGCHAN` - The canonical channel name that was used to create the channel
- `AVAILSTATUS` - The device state for the device
- `AVAILCAUSECODE` - The cause code returned when requesting the channel

### Syntax

    ChanIsAvail(Technology2/Resource2[&...][,options])

##### Arguments

- `Technology/Resource` - ** `Technology2/Resource2` - Optional extra devices to check
  If you need more then one enter them as Technology2/Resource2&Technology3/Resourse3&.....
  Specification of the device(s) to check. These must be in the format of `Technology/Resource`, where Technology represents a particular channel driver, and Resource represents a resource available to that particular channel driver.
- `options`
  - `a` - Check for all available channels, not only the first one
  - `s` - Consider the channel unavailable if the channel is in use at all
  - `t` - Simply checks if specified channels exist in the channel list

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown